﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ChartSample : ContentPage
    {
        SfChart chart;
        public ChartSample()
        {
            StackLayout stackLayout = new StackLayout();

            Button button = new Button();
            button.Text = "SaveAsImage";
            button.Clicked += Button_Clicked;

            chart = new SfChart();
            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            chart.VerticalOptions = LayoutOptions.FillAndExpand;
            chart.HorizontalOptions = LayoutOptions.FillAndExpand;
            
            ObservableCollection<ChartDataPoint> data = new ObservableCollection<ChartDataPoint>();

            data.Add(new ChartDataPoint("Jan", 42));
            data.Add(new ChartDataPoint("Feb", 54));
            data.Add(new ChartDataPoint("Mar", 28));
            data.Add(new ChartDataPoint("Apr", 36));
            data.Add(new ChartDataPoint("May", 44));
            data.Add(new ChartDataPoint("Jun", 42));
            

            ColumnSeries series = new ColumnSeries();
            series.ItemsSource = data;
            chart.Series.Add(series);

            stackLayout.Children.Add(button);
            stackLayout.Children.Add(chart);
            
            Content = stackLayout;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            chart.SaveAsImage("Column.jpg");
        }
    }
}
